Name:           vobcopy
Version:        1.2.1
Release:        %mkrel 2
Summary:        Copy DVD videos to the hard disk
License:        GPLv2+
Group:          Video/Utilities
URL:            https://github.com/barak/vobcopy
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(dvdread)
%if "%{?distro_section}" == "tainted"
Requires:       libdvdcss
%endif

%description
Vobcopy copies DVD .vob files to hard disk (thanks to libdvdread),
decrypting them on the way (if libdvdcss is installed) and merges them into
2 GB files (or larger) with the name extracted from the DVD. It checks for
enough free space on the destination drive and compares the copied size to
the size on DVD (in case something went wrong during the copying). It can
also mirror a whole DVD video part and copy single files.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

# Remove the docs we include ourselves as %%doc
rm -r %{buildroot}%{_docdir}/

%files
%doc Changelog README Release-Notes TODO
%doc alternative_programs.txt
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%lang(de) %{_mandir}/de/man1/%{name}.1*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.2.1-2.mga10
+ Revision: 2218668
- Mageia 10 Mass Rebuild

* Tue Sep 05 2023 daviddavid <daviddavid> 1.2.1-1.mga10
+ Revision: 1984430
- new version: 1.2.1 (new upstream Url at https://github.com/barak/vobcopy)
- enable debug package

* Tue Mar 15 2022 umeabot <umeabot> 1.2.0-8.mga9.tainted
+ Revision: 1794010
- Mageia 9 Mass Rebuild

* Wed Apr 22 2020 luigiwalser <luigiwalser> 1.2.0-7.mga8
+ Revision: 1571027
- rebuild for libdvdread

* Tue Feb 18 2020 umeabot <umeabot> 1.2.0-6.mga8.tainted
+ Revision: 1538273
- Mageia 8 Mass Rebuild

* Sun Nov 17 2019 daviddavid <daviddavid> 1.2.0-5.mga8
+ Revision: 1461390
- rebuild for new libdvdread 6.0.2

* Sun Sep 23 2018 umeabot <umeabot> 1.2.0-4.mga7
+ Revision: 1301635
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 1.2.0-3.mga6.tainted
+ Revision: 931116
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-2.mga5.tainted
+ Revision: 743535
- Second Mageia 5 Mass Rebuild
+ alexl <alexl>
- used docdir macros

* Mon Apr 14 2014 alexl <alexl> 1.2.0-1.mga5.tainted
+ Revision: 613960
- imported package vobcopy

